petsc-3.4.2 2013-07-02

# DMGetCoordinateDM

Gets the DM that scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinateDM(DM dm, DM *cdm)

Collective on DM

### Input Parameter

dm -the DM

### Output Parameter

cdm -coordinate DM

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex46.c.html